Skip to main content

Get DEX Tokens

Endpoint

GET /dexTokens
Returns a paginated list of tokens supported for decentralized exchange (DEX) swaps.

Query Parameters

FieldTypeDefaultDescription
pagenumber1Page number to retrieve
pageSizenumber100Number of tokens per page
chainstringBlockchain network filter (e.g., base)

Example Request

GET /dexTokens?page=1&pageSize=100&chain=base

Example Response

{
  "count": 1,
  "tokens": [
    {
      "id": "66cf5512ba629b6c861a7f45",
      "address": "0xE3086852A4B125803C815a158249ae468A3254Ca",
      "chain": "base",
      "decimals": 18,
      "symbol": "mfer",
      "name": "mfer",
      "created": "2024-08-28T10:00:00.000Z",
      "modified": "2024-08-28T10:00:00.000Z",
      "enabled": true,
      "hasDex": true
    }
  ]
}

Response Fields

FieldTypeDescription
countnumberTotal number of matching tokens
tokensarrayArray of token objects

Token Object

FieldTypeDescription
idstringUnique token identifier
addressstringToken contract address
chainstringNetwork designation (e.g., base)
decimalsnumberToken decimal precision
symbolstringToken symbol (e.g., mfer)
namestringFull token name
createdstringISO 8601 timestamp of addition
modifiedstringISO 8601 timestamp of last update
enabledbooleanWhether the token is active
hasDexbooleanWhether the token supports DEX swaps